# Chai - AI in your CLI.

## Introduction

Chai is a command-line interface (CLI) tool designed to simplify your experience with bash commands. Have you ever found yourself stuck, not knowing the right bash command to use? With Chai, you can simply run `chai [your query in English]`, and it will respond with the appropriate bash command to help you out. 

## Problem Statement

The command-line interface can be intimidating, especially for beginners. Remembering the syntax of various bash commands and knowing which command to use in a specific situation can be challenging. Searching through documentation or forums for the right command can be time-consuming and frustrating. Chai aims to solve this problem by providing an intuitive interface where you can ask for help in plain English and get the correct bash command instantly.

## Features

- **Natural Language Interface**: Communicate with Chai in plain English, just like asking a question.
- **Instant Responses**: Receive the correct bash command immediately after asking your query.
- **Saves Time**: Eliminates the need to search through documentation or forums for the right command.
- **Easy to Use**: Intuitive and straightforward interface, suitable for both beginners and experienced users.

## Usage

To use Chai, simply run the following command in your terminal:

```
chai [your query in English]
```

Chai will process your query and respond with the appropriate bash command.

## Installation

You can install Chai via pip:

```
pip install chai-cli
```

### Clipboard

Every output is copied to your clipboard. To ensure that it works, run the following command to install required tools on Linux.

```
sudo apt-get install xclip xsel wl-clipboard
```

## Examples

Here are some examples of queries you can ask Chai:

- "list all files starting with a"
- "grep emails.txt for yahoo addresses"
- "list users who are logged in"

Chai will provide you with the corresponding bash commands for each query.

## Contributing

Contributions to Chai are welcome! If you have any suggestions, bug reports, or feature requests, please feel free to open an issue or submit a pull request on the [GitHub repository](https://github.com/ritiksahni/chai).

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
